package com.qmth.jkserver.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.jkserver.model.ExamRepeatRecord;
import org.apache.ibatis.annotations.Param;

import java.util.Map;
import java.util.Set;

public interface ExamRepeatRecordDao extends BaseMapper<ExamRepeatRecord> {

    public Long findByExamCodeAndBatchIdAndPlaceCodeAndRoomCodeAndPlaceNameByCount(@Param("examCode") String examCode,
                                                                                                      @Param("batchId") String batchId,
                                                                                                      @Param("placeCodeSet") Set<String> placeCodeSet,
                                                                                                      @Param("roomCode") String roomCode,
                                                                                                      @Param("placeName") String placeName);
    public IPage<ExamRepeatRecord> findByExamCodeAndBatchIdAndPlaceCodeAndRoomCodeAndPlaceNameByIpage(IPage<Map> iPage, @Param("examCode") String examCode,
                                                                                          @Param("batchId") String batchId,
                                                                                          @Param("placeCodeSet") Set<String> placeCodeSet,
                                                                                          @Param("roomCode") String roomCode,
                                                                                          @Param("placeName") String placeName);
}
