package com.qmth.jkserver.dao;

import com.qmth.jkserver.base.CustomBaseMapper;
import com.qmth.jkserver.model.TSAuth;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 激活授权配置表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2022-04-26
 */
public interface TSAuthDao extends CustomBaseMapper<TSAuth> {

    /**
     * 查询最后激活信息
     *
     * @param authEnum
     * @return
     */
    TSAuth lastAuthInfo(@Param("authEnum") String authEnum);
}
