package com.qmth.jkserver.model;

//import java.io.Serializable;
//import java.util.Date;
//
//import org.springframework.data.annotation.Id;
//import org.springframework.data.mongodb.core.index.CompoundIndex;
//import org.springframework.data.mongodb.core.index.CompoundIndexes;
//import org.springframework.data.mongodb.core.index.Indexed;
//import org.springframework.data.mongodb.core.mapping.Document;
//import org.springframework.data.mongodb.core.mapping.Field;
//
///**
// *  考生答案数据包历史记录
// * @author tianjun
// *
// */
//@Document(collection = "jk_kj_original_file_history")
//@CompoundIndexes({
//	@CompoundIndex(name = "jk_kj_original_file_history_idx", def = "{'exam_code': 1, 'place_code': 1,'room_code':1}")
//})
//public class KjOriginalFileHistory implements Serializable {
//
//	/**
//	 *
//	 */
//	private static final long serialVersionUID = -6624764888197088459L;
//
//	@Id
//	private String id;
//
//	/**
//	 * 考试识别码  全局唯一
//	 */
//	@Field("exam_code")
//	private String examCode;
//
//	/**
//	 * 考点
//	 */
//	@Field("place_code")
//	private String placeCode;
//
//	/**
//	 * 考场
//	 */
//	@Field("room_code")
//	private String roomCode;
//
//	/**
//	 * 存储区答案包 原始文件   非解密文件
//	 */
//	@Field("original_file")
//    //TODO 待关联
//	private Attachment originalFile;
//
//	/**
//	 * 创建时间
//	 */
//	@Field("time")
//	private Date time;
//
//	public String getId() {
//		return id;
//	}
//
//	public void setId(String id) {
//		this.id = id;
//	}
//
//	public String getExamCode() {
//		return examCode;
//	}
//
//	public void setExamCode(String examCode) {
//		this.examCode = examCode;
//	}
//
//	public String getPlaceCode() {
//		return placeCode;
//	}
//
//	public void setPlaceCode(String placeCode) {
//		this.placeCode = placeCode;
//	}
//
//	public String getRoomCode() {
//		return roomCode;
//	}
//
//	public void setRoomCode(String roomCode) {
//		this.roomCode = roomCode;
//	}
//
//	public Attachment getOriginalFile() {
//		return originalFile;
//	}
//
//	public void setOriginalFile(Attachment originalFile) {
//		this.originalFile = originalFile;
//	}
//
//	public Date getTime() {
//		return time;
//	}
//
//	public void setTime(Date time) {
//		this.time = time;
//	}
//}

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 考生答案数据包历史记录
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@ApiModel(value="JkKjOriginalFileHistory对象", description="考生答案数据包历史记录")
@TableName("jk_kj_original_file_history")
public class KjOriginalFileHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "考试编码")
    private String examCode;

    @ApiModelProperty(value = "地方编码")
    private String placeCode;

    @ApiModelProperty(value = "考场编码")
    private String roomCode;

    @ApiModelProperty(value = "存储区答案包原始文件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long originalFileId;

    @ApiModelProperty(value = "创建时间")
    private Long time;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getPlaceCode() {
        return placeCode;
    }

    public void setPlaceCode(String placeCode) {
        this.placeCode = placeCode;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public Long getOriginalFileId() {
        return originalFileId;
    }

    public void setOriginalFileId(Long originalFileId) {
        this.originalFileId = originalFileId;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }
}
