package com.qmth.jkserver.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.jkserver.dao.ExamKjProgressDao;
import com.qmth.jkserver.model.ExamKjProgress;
import com.qmth.jkserver.service.JkExamKjProgressService;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 统计当前考场内考生答案上传情形 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@Service
@Scope(proxyMode = ScopedProxyMode.INTERFACES)
public class JkExamKjProgressServiceImpl extends ServiceImpl<ExamKjProgressDao, ExamKjProgress> implements JkExamKjProgressService {

}
