package com.qmth.jkserver.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.jkserver.dao.TGErrorDao;
import com.qmth.jkserver.model.TGError;
import com.qmth.jkserver.service.TGErrorService;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 全局异常错误信息表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2021-03-24
 */
@Service
@Scope(proxyMode = ScopedProxyMode.INTERFACES)
public class TGErrorServiceImpl extends ServiceImpl<TGErrorDao, TGError> implements TGErrorService {

}
