package com.qmth.jkserver.dao;

//import java.util.List;
//
//import org.springframework.data.mongodb.repository.MongoRepository;
//import org.springframework.stereotype.Repository;
//
//import com.qmth.jkserver.model.ExamStudentAdditionalTemp;
//
//@Repository
//public interface ExamStudentAdditionalTempDao extends MongoRepository<ExamStudentAdditionalTemp, String>{
//
//	public List<ExamStudentAdditionalTemp> findByExamCodeAndAttachmentId(String examCode,String attachmentId);
//
//}

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.jkserver.model.ExamStudentAdditionalTemp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 考务考生附加信息临时表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
public interface ExamStudentAdditionalTempDao extends BaseMapper<ExamStudentAdditionalTemp> {
    public List<ExamStudentAdditionalTemp> findByExamCodeAndAttachmentId(@Param("examCode") String examCode, @Param("attachmentId") Long attachmentId);
}