package com.qmth.jkserver.dao;

//import java.util.List;
//
//import org.springframework.data.mongodb.repository.MongoRepository;
//import org.springframework.stereotype.Repository;
//
//import com.qmth.jkserver.model.ExamStudentTemp;
//
//@Repository
//public interface ExamStudentTempDao extends MongoRepository<ExamStudentTemp, String>{
//
//	public List<ExamStudentTemp> findByExamCodeAndAttachmentId(String examCode,String attachmentId);
//}

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.jkserver.model.ExamStudentTemp;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 考务考生临时表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
public interface ExamStudentTempDao extends BaseMapper<ExamStudentTemp> {

    public List<ExamStudentTemp> findByExamCodeAndAttachmentId(@Param("examCode") String examCode, @Param("attachmentId") Long attachmentId);

    @SuppressWarnings("MybatisXMapperMethodInspection")
    public IPage<Map> findByExamCodeAndAttachmentIdByMap(IPage<Map> iPage, @Param("examCode") String examCode, @Param("attachmentId") Long attachmentId);

    @SuppressWarnings("MybatisXMapperMethodInspection")
    public IPage<Map> findByExamCodeByMap(IPage<Map> iPage, @Param("examCode") String examCode);

    @SuppressWarnings("MybatisXMapperMethodInspection")
    public IPage<Map> findByExamCodeAndPlaceCodeByMap(IPage<Map> iPage, @Param("examCode") String examCode, @Param("placeCode") String placeCode);

    public IPage<ExamStudentTemp> findByExamCode(IPage<Map> iPage,
                                                                     @Param("examCode") String examCode,
                                                                     @Param("attachmentId") Long attachmentId,
                                                                     @Param("batchId") String batchId,
                                                                     @Param("stageId") String stageId,
                                                                     @Param("placeCode") String placeCode,
                                                                     @Param("roomCode") String roomCode,
                                                                     @Param("courseCode") String courseCode,
                                                                     @Param("querykey") String querykey);
}
