package com.qmth.jkserver.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.jkserver.dto.RoomMonitorClientLog;
import com.qmth.jkserver.model.User;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 监考端日志 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-03-03
 */
public interface JkRoomMonitorClientLogDao extends BaseMapper<RoomMonitorClientLog> {

    public IPage<RoomMonitorClientLog> findByExamCodeByPage(IPage<Map> iPage,
                                                            @Param("examCode") String examCode,
                                                            @Param("placeCode") String placeCode,
                                                            @Param("roomCode") String roomCode,
                                                            @Param("placeName") String placeName,
                                                            @Param("upload") Boolean upload);
}
