package com.qmth.jkserver.dao;

//import org.springframework.data.mongodb.repository.MongoRepository;
//import org.springframework.stereotype.Repository;
//
//import com.qmth.jkserver.model.StudentInfo;
//
//@Repository
//public interface StudentInfoDao extends MongoRepository<StudentInfo, String> {
//
//	public void deleteByExamCode(String examCode);
//
//}

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.jkserver.model.StudentInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 学生信息表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
public interface StudentInfoDao extends BaseMapper<StudentInfo> {

    public void deleteByExamCode(@Param("examCode") String examCode);

    List<Map> findByExamCode(@Param("examCode") String examCode);
}
